Subject: Bug#1369: [X2Go-Dev] Bug#1369: Bug#1369: Keys do not release when using Emacs in X2GO Client

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 15 Mar 2019 23:53:45 +0100

On Thu, Mar 14, 2019 at 1:00 PM Yan Zhang <[email-masked]> wrote:

> I found a temporary solution. If I disable the transient mark mode, under which the selected region is highlighted, this issue goes away. So I guess the issue is related to events generated by rendering the highlighted region. And one thing I forgot to mention is that if I start emacs without GUI (i.e., emacs -nw), I do not have this issue.

So this indicates that it probalby is connected to drawing. If this
happens via images for some reason it might explain the problem.

Please perform this test for me: Edit /etc/x2go/agent.options on the
server and ensure that the following line is active (no leading '#'):

X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension GLX"

Then start a new session (with transient mark mode enabled) and retry.
Is that working better?

Uli